#include "filemagic.h"

#include <unistd.h>
#include <string.h>

filemagic_t identify_file(int fd) {
  ssize_t n;
  char buf[MAGIC_BUFSIZE];
  filemagic_t retval = tUNKNOWN;

  lseek(fd, 0, SEEK_SET);

  n = read(fd, buf, MAGIC_BUFSIZE);
  if( (n > 2) && 
       ((memcmp(buf, "P1", 2) == 0) ||
	(memcmp(buf, "P4", 2) == 0)) ) {
    retval = tPBM;
  } else if( (n > 2) &&
	     (memcmp(buf, "\037\213", 2) == 0) ) {
    retval = tGZIP;
  }
  lseek(fd, 0, SEEK_SET);

  return retval;
}
