/* 
 * Copyright (C) 2008 Laird Breyer
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Author:   Laird Breyer <laird@lbreyer.com>
 */

#ifndef UTIL_H
#define UTIL_H

#include <stdio.h>

typedef struct {
  const char *tempfile;
} signal_cleanup_t;

void init_signal_handling();
void process_pending_signal(FILE *input);
void cleanup_signal_handling();


#define E_ERROR 0
#define E_WARNING 1
#define E_FATAL 2
void errormsg(int type, const char *fmt, ...)
#ifdef __GNUC__
__attribute__((format (printf, 2, 3)))
#endif
;

#define JENKINS4 1
#define JENKINS_HASH_VALUE unsigned long int
/* string hash function in jenkins.c */
unsigned long int hash( unsigned char *k, 
                        unsigned long int length, 
                        unsigned long int initval);

#endif
